Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(91)

Issue 29345468: Issue 4045 - Add Test Suite To CMS (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 8 months ago by Jon Sonesen
Modified:
3 years, 5 months ago
Visibility:
Public.

Description

The opening of the code review for a pytest based test suite for the CMS Repository: hg.adblockplus.org/cms/

Patch Set 1 : CMS Test Suite Conf and Some Tests #

Patch Set 2 : fix Popen object return #

Total comments: 20

Patch Set 3 : Cosolidated test code #

Total comments: 11

Patch Set 4 : Adds global test page and addresses comments #

Patch Set 5 : Add tox.ini patch and change dyncamic server to yield_fixture #

Total comments: 4

Patch Set 6 : Change yield fixture, remove var assignemt in globals.tmpl #

Patch Set 7 : I moved the tests folder, now we wait on Vasiliy #

Total comments: 1

Patch Set 8 : Adds flake8 run to tests dir #

Total comments: 2

Patch Set 9 : rebase for flake8 explicit version in tox ini and removes unused tests #

Patch Set 10 : fixed erroneous upload of patch #

Unified diffs Side-by-side diffs Delta from patch set Stats (+98 lines, -1 line) Patch
M .hgignore View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
A tests/expected_output/filter View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
A tests/expected_output/global View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
A tests/test_page_outputs.py View 1 2 3 4 5 6 1 chunk +69 lines, -0 lines 0 comments Download
A tests/test_site/filters/foo_converter.py View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
A tests/test_site/globals/site_globals.py View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
A tests/test_site/pages/filter.tmpl View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
A tests/test_site/pages/global.tmpl View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
A tests/test_site/settings.ini View 1 2 3 4 5 6 1 chunk +6 lines, -0 lines 0 comments Download
A tests/test_site/templates/empty.tmpl View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M tox.ini View 1 2 3 4 5 6 7 8 9 1 chunk +9 lines, -1 line 0 comments Download

Messages

Total messages: 54
Jon Sonesen
3 years, 8 months ago (2016-06-01 02:11:02 UTC) #1
Jon Sonesen
On 2016/06/01 02:11:02, Jon Sonesen wrote: I am have a lot more to add to ...
3 years, 8 months ago (2016-06-01 02:19:12 UTC) #2
Jon Sonesen
The answer to do the static comparisons may be a subrepo, but it is considered ...
3 years, 8 months ago (2016-06-01 02:36:51 UTC) #3
Jon Sonesen
On 2016/06/01 02:36:51, Jon Sonesen wrote: > The answer to do the static comparisons may ...
3 years, 8 months ago (2016-06-02 01:20:02 UTC) #4
Jon Sonesen
On 2016/06/01 02:36:51, Jon Sonesen wrote: > The answer to do the static comparisons may ...
3 years, 8 months ago (2016-06-02 01:21:03 UTC) #5
Vasily Kuznetsov
On 2016/06/02 01:21:03, Jon Sonesen wrote: > On 2016/06/01 02:36:51, Jon Sonesen wrote: > > ...
3 years, 8 months ago (2016-06-02 11:44:44 UTC) #6
Sebastian Noack
On 2016/06/02 11:44:44, Vasily Kuznetsov wrote: > I'm not sure why you want to have ...
3 years, 8 months ago (2016-06-02 12:02:44 UTC) #7
Vasily Kuznetsov
On 2016/06/02 12:02:44, Sebastian Noack wrote: > On 2016/06/02 11:44:44, Vasily Kuznetsov wrote: > > ...
3 years, 8 months ago (2016-06-02 12:41:15 UTC) #8
Vasily Kuznetsov
> Ah, I didn't realise that. Yeah, just create the temporary repo and put all ...
3 years, 8 months ago (2016-06-02 12:52:07 UTC) #9
Jon Sonesen
On 2016/06/02 12:52:07, Vasily Kuznetsov wrote: > > Ah, I didn't realise that. Yeah, just ...
3 years, 8 months ago (2016-06-02 17:47:35 UTC) #10
Jon Sonesen
On 2016/06/02 12:52:07, Vasily Kuznetsov wrote: > > Ah, I didn't realise that. Yeah, just ...
3 years, 8 months ago (2016-06-02 17:47:38 UTC) #11
Jon Sonesen
On 2016/06/02 11:44:44, Vasily Kuznetsov wrote: > On 2016/06/02 01:21:03, Jon Sonesen wrote: > > ...
3 years, 8 months ago (2016-06-02 18:13:54 UTC) #12
Jon Sonesen
On 2016/06/02 18:13:54, Jon Sonesen wrote: > On 2016/06/02 11:44:44, Vasily Kuznetsov wrote: > > ...
3 years, 8 months ago (2016-06-03 04:59:09 UTC) #13
Sebastian Noack
On 2016/06/03 04:59:09, Jon Sonesen wrote: > I believe I found a bug in the ...
3 years, 8 months ago (2016-06-03 09:48:58 UTC) #14
Vasily Kuznetsov
On 2016/06/03 09:48:58, Sebastian Noack wrote: > On 2016/06/03 04:59:09, Jon Sonesen wrote: > > ...
3 years, 8 months ago (2016-06-03 14:41:23 UTC) #15
Jon Sonesen
On 2016/06/03 14:41:23, Vasily Kuznetsov wrote: > On 2016/06/03 09:48:58, Sebastian Noack wrote: > > ...
3 years, 8 months ago (2016-06-03 15:13:12 UTC) #16
Jon Sonesen
On 2016/06/03 15:13:12, Jon Sonesen wrote: > On 2016/06/03 14:41:23, Vasily Kuznetsov wrote: > > ...
3 years, 8 months ago (2016-06-03 15:13:49 UTC) #17
Vasily Kuznetsov
On 2016/06/03 15:13:49, Jon Sonesen wrote: > > Perhaps the cms lives on the build ...
3 years, 8 months ago (2016-06-03 15:39:53 UTC) #18
Sebastian Noack
On 2016/06/03 14:41:23, Vasily Kuznetsov wrote: > in a Debian VM, this part works and ...
3 years, 8 months ago (2016-06-03 16:16:02 UTC) #19
Wladimir Palant
On 2016/06/03 15:39:53, Vasily Kuznetsov wrote: > I think it would be better to make ...
3 years, 8 months ago (2016-06-03 22:35:21 UTC) #20
Jon Sonesen
On 2016/06/03 22:35:21, Wladimir Palant wrote: > On 2016/06/03 15:39:53, Vasily Kuznetsov wrote: > > ...
3 years, 8 months ago (2016-06-03 23:32:22 UTC) #21
Wladimir Palant
On 2016/06/03 23:32:22, Jon Sonesen wrote: > Ok, I will implement '-p root' as the ...
3 years, 8 months ago (2016-06-04 09:50:41 UTC) #22
Jon Sonesen
On 2016/06/04 09:50:41, Wladimir Palant wrote: > On 2016/06/03 23:32:22, Jon Sonesen wrote: > > ...
3 years, 8 months ago (2016-06-04 16:44:06 UTC) #23
Jon Sonesen
here are some changes i made, implenting the static generation fixture and some others
3 years, 8 months ago (2016-06-20 22:16:47 UTC) #24
Jon Sonesen
here are some changes i made, implementing the static generation fixture and some others
3 years, 8 months ago (2016-06-20 22:26:41 UTC) #25
Jon Sonesen
adds dynamic test generator
3 years, 8 months ago (2016-06-28 15:23:50 UTC) #26
Jon Sonesen
adds dynamic test generator
3 years, 8 months ago (2016-06-28 15:27:35 UTC) #27
Jon Sonesen
adds dynamic test generator
3 years, 8 months ago (2016-06-28 15:32:22 UTC) #28
Vasily Kuznetsov
Good start. Below are some suggestions on how I think we could better organise the ...
3 years, 7 months ago (2016-07-01 14:26:16 UTC) #29
Sebastian Noack
On 2016/07/01 14:26:16, Vasily Kuznetsov wrote: > Good start. Below are some suggestions on how ...
3 years, 7 months ago (2016-07-01 14:56:24 UTC) #30
Vasily Kuznetsov
On 2016/07/01 14:56:24, Sebastian Noack wrote: > On 2016/07/01 14:26:16, Vasily Kuznetsov wrote: > ...
3 years, 7 months ago (2016-07-01 15:18:02 UTC) #31
Jon Sonesen
On 2016/07/01 15:18:02, Vasily Kuznetsov wrote: > On 2016/07/01 14:56:24, Sebastian Noack wrote: > > ...
3 years, 7 months ago (2016-07-01 15:19:40 UTC) #32
Jon Sonesen
https://codereview.adblockplus.org/29345468/diff/29347124/.hgignore File .hgignore (right): https://codereview.adblockplus.org/29345468/diff/29347124/.hgignore#newcode8 .hgignore:8: On 2016/07/01 14:56:23, Sebastian Noack wrote: > Did you ...
3 years, 7 months ago (2016-07-01 15:58:14 UTC) #33
Vasily Kuznetsov
https://codereview.adblockplus.org/29345468/diff/29347124/cms/tests/static_tests/conftest.py File cms/tests/static_tests/conftest.py (right): https://codereview.adblockplus.org/29345468/diff/29347124/cms/tests/static_tests/conftest.py#newcode10 cms/tests/static_tests/conftest.py:10: def static_session_setup(request): On 2016/07/01 15:58:13, Jon Sonesen wrote: > ...
3 years, 7 months ago (2016-07-01 16:47:59 UTC) #34
Jon Sonesen
Here is that updated tests. Consolidated the session code into one module and addressed comments
3 years, 7 months ago (2016-07-12 13:43:19 UTC) #35
Vasily Kuznetsov
Hi Jon, The direction is looking very good. Let's add more pages to test different ...
3 years, 7 months ago (2016-07-12 15:25:13 UTC) #36
Jon Sonesen
On 2016/07/12 15:25:13, Vasily Kuznetsov wrote: > Hi Jon, > > The direction is looking ...
3 years, 7 months ago (2016-07-13 10:52:05 UTC) #37
Jon Sonesen
On 2016/07/13 10:52:05, Jon Sonesen wrote: > On 2016/07/12 15:25:13, Vasily Kuznetsov wrote: > > ...
3 years, 7 months ago (2016-07-13 10:52:56 UTC) #38
Jon Sonesen
On 2016/07/13 10:52:05, Jon Sonesen wrote: > On 2016/07/12 15:25:13, Vasily Kuznetsov wrote: > > ...
3 years, 7 months ago (2016-07-13 10:53:00 UTC) #39
Vasily Kuznetsov
Two small corrections below and then it mostly would look good to me for the ...
3 years, 7 months ago (2016-07-14 12:14:02 UTC) #40
Jon Sonesen
https://codereview.adblockplus.org/29345468/diff/29347662/cms/tests/test_page_outputs.py File cms/tests/test_page_outputs.py (right): https://codereview.adblockplus.org/29345468/diff/29347662/cms/tests/test_page_outputs.py#newcode52 cms/tests/test_page_outputs.py:52: @pytest.fixture(scope='session') On 2016/07/12 15:25:12, Vasily Kuznetsov wrote: > It ...
3 years, 7 months ago (2016-07-18 14:48:29 UTC) #41
Sebastian Noack
Any reason the "tests" folder is inside the "cms" package? I looked a couple popular ...
3 years, 6 months ago (2016-08-11 10:09:03 UTC) #42
Jon Sonesen
On 2016/08/11 10:09:03, Sebastian Noack wrote: > Any reason the "tests" folder is inside the ...
3 years, 6 months ago (2016-08-21 13:43:14 UTC) #43
Sebastian Noack
https://codereview.adblockplus.org/29345468/diff/29350005/tox.ini File tox.ini (left): https://codereview.adblockplus.org/29345468/diff/29350005/tox.ini#oldcode21 tox.ini:21: flake8 cms runserver.py Mind running flake8 also on the ...
3 years, 6 months ago (2016-08-21 14:33:10 UTC) #44
Jon Sonesen
Adds flake8 run to tests dir
3 years, 6 months ago (2016-08-21 14:36:36 UTC) #45
Jon Sonesen
On 2016/08/21 14:33:10, Sebastian Noack wrote: > https://codereview.adblockplus.org/29345468/diff/29350005/tox.ini > File tox.ini (left): > > https://codereview.adblockplus.org/29345468/diff/29350005/tox.ini#oldcode21 ...
3 years, 6 months ago (2016-08-21 14:37:11 UTC) #46
Sebastian Noack
LGTM
3 years, 6 months ago (2016-08-21 15:10:06 UTC) #47
Vasily Kuznetsov
LAGTM (Looks almost good to me ;) https://codereview.adblockplus.org/29345468/diff/29350022/tests/test_site/templates/default.tmpl File tests/test_site/templates/default.tmpl (right): https://codereview.adblockplus.org/29345468/diff/29350022/tests/test_site/templates/default.tmpl#newcode1 tests/test_site/templates/default.tmpl:1: <!DOCTYPE html> ...
3 years, 6 months ago (2016-08-22 10:14:53 UTC) #48
Jon Sonesen
Adds flake8 run to tests dir
3 years, 6 months ago (2016-08-23 15:34:56 UTC) #49
Jon Sonesen
rebased and removed unused tests
3 years, 6 months ago (2016-08-23 15:36:40 UTC) #50
Jon Sonesen
rebase for flake8 explicit version in tox ini and removes unused tests
3 years, 6 months ago (2016-08-23 15:40:30 UTC) #51
Vasily Kuznetsov
On 2016/08/23 15:40:30, Jon Sonesen wrote: > rebase for flake8 explicit version in tox ini ...
3 years, 6 months ago (2016-08-23 16:38:47 UTC) #52
Jon Sonesen
fixed erroneous upload of patch
3 years, 6 months ago (2016-08-25 09:05:14 UTC) #53
Vasily Kuznetsov
3 years, 6 months ago (2016-08-25 09:09:54 UTC) #54
On 2016/08/25 09:05:14, Jon Sonesen wrote:
> fixed erroneous upload of patch

LGTM
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5